"use strict";

require("core-js/modules/es.array.concat");

require("core-js/modules/es.array.slice");

require("core-js/modules/es.object.freeze");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Option = exports.Selection = void 0;

var _styled = _interopRequireDefault(require("@emotion/styled"));

var _Item = _interopRequireDefault(require("./Item"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  padding-top: ", ";\n  padding-bottom: ", ";\n  padding-right: ", ";\n  padding-left: ", ";\n  &:first-of-type{\n    border-top-left-radius: ", ";\n    border-top-right-radius: ", ";\n  }\n  &:last-of-type{\n    border-bottom-left-radius: ", ";\n    border-bottom-right-radius: ", ";\n  }\n  z-index: 999;\n\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  border-radius: ", ";\n  align-items: center;\n  justify-content: space-between;\n  margin-top: calc(", " / 2);\n  margin-bottom: calc(", " / 2);\n  padding-top: ", ";\n  padding-bottom: ", ";\n  padding-left: ", ";\n  padding-right: ", ";\n\n  & .remove:not(svg):not(path) {\n    display: flex;\n    border: none;\n    border-radius: ", ";\n    margin-top: -", ";\n    margin-bottom: -", ";\n    padding-top: ", ";\n    padding-bottom: ", ";\n    padding-left: ", ";\n    padding-right: ", ";\n    background-color: transparent;\n    font-size: 1em;\n\n    svg {\n      fill: ", ";\n      width: ", ";\n      height: ", ";\n    }\n\n    ", "\n  }\n\n  ", "\n  ", "\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Selection = (0, _styled.default)(_Item.default)(_templateObject(), function (props) {
  return props.styles_borderRadius;
}, function (props) {
  return props.styles_selection_margin;
}, function (props) {
  return props.styles_selection_margin;
}, function (props) {
  return props.styles_selection_paddingTop;
}, function (props) {
  return props.styles_selection_paddingBottom;
}, function (props) {
  return props.styles_selection_paddingLeft;
}, function (props) {
  return props.removable ? "0" : props.styles_selection_paddingRight;
}, function (props) {
  return props.styles_borderRadius;
}, function (props) {
  return props.styles_selection_paddingTop;
}, function (props) {
  return props.styles_selection_paddingBottom;
}, function (props) {
  return props.styles_selection_paddingTop;
}, function (props) {
  return props.styles_selection_paddingBottom;
}, function (props) {
  return props.styles_selection_paddingLeft;
}, function (props) {
  return props.styles_selection_paddingRight;
}, function (props) {
  return props.styles_colors_primary;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.styles_selectionHighlighted === props.item.value && "background-color: ".concat(props.styles_colors_warning, ";\n\n      svg {\n        fill: ").concat(props.styles_colors_warningBold, ";\n      }");
}, function (props) {
  return props.styles_multiple ? "display: inline-flex;\n      background-color: ".concat(props.styles_colors_secondary, ";\n      margin-right: ").concat(props.styles_selection_margin, ";") : "display: flex;";
}, function (props) {
  return props.styles_rightToLeft && "\n    transform: scaleX(-1);\n    flex-direction: row-reverse;\n    padding-left: ".concat(props.removable ? "0" : props.styles_selection_paddingRight, ";\n    padding-right: ").concat(props.styles_selection_paddingLeft, ";");
});
exports.Selection = Selection;
var Option = (0, _styled.default)(_Item.default)(_templateObject2(), function (props) {
  return props.styles_option_paddingTop;
}, function (props) {
  return props.styles_option_paddingBottom;
}, function (props) {
  return props.styles_option_paddingRight;
}, function (props) {
  return props.styles_option_paddingLeft;
}, function (props) {
  return props.styles_borderRadius;
}, function (props) {
  return props.styles_borderRadius;
}, function (props) {
  return props.styles_borderRadius;
}, function (props) {
  return props.styles_borderRadius;
}, function (props) {
  return props.styles_optionHighlighted != null && props.styles_optionHighlighted === props.item.value && "background-color: ".concat(props.styles_colors_highlight, ";");
}, function (props) {
  return props.styles_rightToLeft && "transform: scaleX(-1);\n    text-align: right;";
}, function (props) {
  return props.item.group && props.item.parent && props.item.value == null && "color: ".concat(props.styles_colors_secondary, ";\n    font-size: .8em;");
}, function (props) {
  return props.item.group && props.item.parent && props.item.value != null && "font-weight: bold;";
}, function (props) {
  return props.item.group && !props.item.parent && "margin-left: 1em;";
});
exports.Option = Option;