"use strict";

require("core-js/modules/es.object.assign");

var _react = _interopRequireDefault(require("react"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

var _mocks = require("../../mocks");

var _styled = require("./styled");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

it("styles", function () {
  var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.SelectionWrapper, _extends({}, _mocks.mockStyles, {
    areOptionsOpen: false,
    SelectionList: /*#__PURE__*/_react.default.createElement(_mocks.MockElement, null),
    Search: /*#__PURE__*/_react.default.createElement(_mocks.MockInput, null),
    svg_Expand: _mocks.MockSvg
  })));

  expect(wrapper).toMatchSnapshot();
});
it("styles_disabled = true", function () {
  var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement("div", _extends({}, _mocks.mockStyles, {
    areOptionsOpen: false,
    SelectionList: /*#__PURE__*/_react.default.createElement(_mocks.MockElement, null),
    Search: /*#__PURE__*/_react.default.createElement(_mocks.MockInput, null),
    svg_Expand: _mocks.MockSvg,
    styles_disabled: true
  })));

  expect(wrapper).toMatchSnapshot();
});
it("areOptionsOpen = true", function () {
  var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.SelectionWrapper, _extends({}, _mocks.mockStyles, {
    areOptionsOpen: true,
    SelectionList: /*#__PURE__*/_react.default.createElement(_mocks.MockElement, null),
    Search: /*#__PURE__*/_react.default.createElement(_mocks.MockInput, null),
    svg_Expand: _mocks.MockSvg
  })));

  expect(wrapper).toMatchSnapshot();
});
it("styles_hasOptions = false", function () {
  var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.SelectionWrapper, _extends({}, _mocks.mockStyles, {
    areOptionsOpen: false,
    SelectionList: /*#__PURE__*/_react.default.createElement(_mocks.MockElement, null),
    Search: /*#__PURE__*/_react.default.createElement(_mocks.MockInput, null),
    svg_Expand: _mocks.MockSvg,
    styles_hasOptions: false
  })));

  expect(wrapper).toMatchSnapshot();
});