"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

require("core-js/modules/es.symbol");

require("core-js/modules/es.array.filter");

require("core-js/modules/es.array.find");

require("core-js/modules/es.array.for-each");

require("core-js/modules/es.object.assign");

require("core-js/modules/es.object.get-own-property-descriptor");

require("core-js/modules/es.object.get-own-property-descriptors");

require("core-js/modules/es.object.keys");

require("core-js/modules/web.dom-collections.for-each");

var _react = _interopRequireWildcard(require("react"));

var _enzyme = require("enzyme");

var _enzymeToJson = _interopRequireDefault(require("enzyme-to-json"));

var _mocks = require("../../mocks");

var _SingleCheckRadio = _interopRequireDefault(require("./SingleCheckRadio"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

jest.mock("react", function () {
  return _objectSpread({}, jest.requireActual("react"), {
    useState: jest.fn()
  });
});

var props = _objectSpread({}, _mocks.mockStyles, {
  name: "test",
  value: "value",
  className: "test",
  label: "test label",
  disabled: false,
  toggle: false,
  checked: false,
  multiple: false,
  svg_Checkmark: _mocks.MockSvg,
  onChange: jest.fn(),
  onClick: jest.fn()
});

var setState = jest.fn();
beforeEach(function () {
  jest.clearAllMocks();

  _react.useState.mockImplementation(function (init) {
    return [init, setState];
  });
});
it("renders radio", function () {
  var wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_SingleCheckRadio.default, props));
  expect((0, _enzymeToJson.default)(wrapper)).toMatchSnapshot();
});
it("renders checkbox", function () {
  var wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_SingleCheckRadio.default, _extends({}, props, {
    multiple: true
  })));
  expect((0, _enzymeToJson.default)(wrapper)).toMatchSnapshot();
});
it("renders toggle", function () {
  var wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_SingleCheckRadio.default, _extends({}, props, {
    toggle: true
  })));
  expect((0, _enzymeToJson.default)(wrapper)).toMatchSnapshot();
});
it("should click", function () {
  var wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_SingleCheckRadio.default, props));
  wrapper.find("input").simulate("click");
  expect(props.onClick).toBeCalled();
});
it("should change", function () {
  var wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_SingleCheckRadio.default, props));
  wrapper.find("input").simulate("change");
  expect(props.onChange).toBeCalled();
});
it("should focus", function () {
  var wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_SingleCheckRadio.default, props));
  expect(setState).not.toBeCalled();
  wrapper.find("input").simulate("focus");
  expect(setState).toBeCalledWith(true);
});
it("should blur", function () {
  var wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_SingleCheckRadio.default, props));
  expect(setState).not.toBeCalled();
  wrapper.find("input").simulate("blur");
  expect(setState).toBeCalledWith(false);
});