"use strict";

require("core-js/modules/es.array.concat");

require("core-js/modules/es.array.slice");

require("core-js/modules/es.object.freeze");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Switch = exports.Radio = exports.CheckBox = void 0;

var _styled = _interopRequireDefault(require("@emotion/styled"));

var _SingleCheckRadio = _interopRequireDefault(require("./SingleCheckRadio"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  display: inline-flex;\n  align-items: center;\n  cursor: pointer;\n  user-select: none;\n  cursor: ", ";\n  ", "\n\n  .check-radio-display {\n    margin-right: ", ";\n    display: inline-flex;\n    align-items: center;\n    border-radius: 1em;\n    padding-top: ", ";\n    padding-bottom: ", ";\n    padding-right: ", ";\n    padding-left: ", ";\n    border: ", " solid\n      ", ";\n    width: calc(", " * 2);\n    height: ", ";\n    background-color: ", ";\n\n    svg {\n      width: ", ";\n      height: ", ";\n      border-radius: 100%;\n      ", "\n      fill-opacity: 0;\n    }\n  }\n\n  input {\n    opacity: 0;\n    width: 0;\n  }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  margin-right: ", ";\n  display: inline-flex;\n  align-items: center;\n  cursor: pointer;\n  user-select: none;\n  cursor: ", ";\n  ", "\n\n  .check-radio-display {\n    border-radius: 100%;\n    margin-right: ", ";\n    padding-top: ", ";\n    padding-bottom: ", ";\n    padding-right: ", ";\n    padding-left: ", ";\n    background-size: 0.1em;\n    border: ", " solid\n      ", ";\n    width: ", ";\n    height: ", ";\n    background-color: ", ";\n    ", "\n\n    svg {\n      visibility: hidden;\n      width: ", ";\n      height: ", ";\n    }\n  }\n\n  input {\n    opacity: 0;\n    width: 0;\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  margin-right: ", ";\n  display: inline-flex;\n  align-items: center;\n  user-select: none;\n  cursor: ", ";\n  ", "\n\n  .check-radio-display {\n    border-radius: ", ";\n    margin-right: ", ";\n    padding-top: ", ";\n    padding-bottom: ", ";\n    padding-right: ", ";\n    padding-left: ", ";\n    border: ", " solid\n      ", ";\n    width: ", ";\n    height: ", ";\n    background-color: ", ";\n\n    svg {\n      fill: ", ";\n      width: ", ";\n      height: ", ";\n      ", "\n    }\n  }\n\n  input {\n    opacity: 0;\n    width: 0;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var CheckBox = (0, _styled.default)(_SingleCheckRadio.default)(_templateObject(), function (props) {
  return props.styles_checkRadio_marginBetween;
}, function (props) {
  return props.disabled ? "not-allowed" : "pointer";
}, function (props) {
  return props.disabled ? "&& .check-radio-display {\n        border-color: ".concat(props.styles_colors_disabled, ";\n      }") : "&:hover .check-radio-display {\n        border-color: ".concat(props.styles_colors_primary, ";\n      }\n      &.focus .check-radio-display {\n        border-color: ").concat(props.styles_colors_primary, ";\n      }");
}, function (props) {
  return props.styles_borderRadius;
}, function (props) {
  return props.styles_checkRadio_labelMargin;
}, function (props) {
  return props.styles_checkRadio_paddingTop;
}, function (props) {
  return props.styles_checkRadio_paddingBottom;
}, function (props) {
  return props.styles_checkRadio_paddingRight;
}, function (props) {
  return props.styles_checkRadio_paddingLeft;
}, function (props) {
  return props.styles_checkRadio_borderWidth;
}, function (props) {
  return props.styles_colors_secondary;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.disabled ? props.styles_colors_disabled : props.styles_colors_background;
}, function (props) {
  return props.styles_colors_primary;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return !props.checked && "visibility: hidden;";
});
exports.CheckBox = CheckBox;
var Radio = (0, _styled.default)(_SingleCheckRadio.default)(_templateObject2(), function (props) {
  return props.styles_checkRadio_marginBetween;
}, function (props) {
  return props.disabled ? "not-allowed" : "pointer";
}, function (props) {
  return props.disabled ? "&& .check-radio-display {\n        border-color: ".concat(props.styles_colors_disabled, ";\n      }") : "&:hover .check-radio-display {\n        border-color: ".concat(props.styles_colors_primary, ";\n      }\n      &.focus .check-radio-display {\n        border-color: ").concat(props.styles_colors_primary, ";\n      }");
}, function (props) {
  return props.styles_checkRadio_labelMargin;
}, function (props) {
  return props.styles_checkRadio_paddingTop;
}, function (props) {
  return props.styles_checkRadio_paddingBottom;
}, function (props) {
  return props.styles_checkRadio_paddingRight;
}, function (props) {
  return props.styles_checkRadio_paddingLeft;
}, function (props) {
  return props.styles_checkRadio_borderWidth;
}, function (props) {
  return props.styles_colors_secondary;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.disabled ? props.styles_colors_disabled : props.styles_colors_background;
}, function (props) {
  return props.checked && "background-color: ".concat(props.styles_colors_secondary, ";");
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.styles_icon_width;
});
exports.Radio = Radio;
var Switch = (0, _styled.default)(_SingleCheckRadio.default)(_templateObject3(), function (props) {
  return props.disabled ? "not-allowed" : "pointer";
}, function (props) {
  return props.disabled ? "&& .check-radio-display {\n        border-color: ".concat(props.styles_colors_disabled, ";\n      }") : "&:hover .check-radio-display {\n        border-color: ".concat(props.styles_colors_primary, ";\n      }\n      &.focus .check-radio-display {\n        border-color: ").concat(props.styles_colors_primary, ";\n      }");
}, function (props) {
  return props.styles_checkRadio_labelMargin;
}, function (props) {
  return props.styles_checkRadio_paddingTop;
}, function (props) {
  return props.styles_checkRadio_paddingBottom;
}, function (props) {
  return props.styles_checkRadio_paddingRight;
}, function (props) {
  return props.styles_checkRadio_paddingLeft;
}, function (props) {
  return props.styles_checkRadio_borderWidth;
}, function (props) {
  return props.styles_colors_secondary;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.disabled ? props.styles_colors_disabled : props.styles_colors_background;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.styles_icon_width;
}, function (props) {
  return props.checked ? "margin-left: ".concat(props.styles_icon_width, ";\n          background-color: ").concat(props.styles_colors_primary, ";") : "background-color: ".concat(props.styles_colors_secondary, ";");
});
exports.Switch = Switch;