"use strict";

require("core-js/modules/es.symbol");

require("core-js/modules/es.array.filter");

require("core-js/modules/es.array.for-each");

require("core-js/modules/es.object.assign");

require("core-js/modules/es.object.get-own-property-descriptor");

require("core-js/modules/es.object.get-own-property-descriptors");

require("core-js/modules/es.object.keys");

require("core-js/modules/web.dom-collections.for-each");

var _react = _interopRequireDefault(require("react"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

var _mocks = require("../../mocks");

var _styled = require("./styled");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var props = _objectSpread({}, _mocks.mockStyles, {
  name: "test",
  value: "value",
  className: "test",
  label: "test label",
  disabled: false,
  toggle: false,
  checked: false,
  multiple: false,
  svg_Checkmark: _mocks.MockSvg
});

describe("CheckBox", function () {
  it("styles", function () {
    var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.CheckBox, props));

    expect(wrapper).toMatchSnapshot();
  });
  it("disabled = true", function () {
    var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.CheckBox, _extends({}, props, {
      disabled: true
    })));

    expect(wrapper).toMatchSnapshot();
  });
  it("checked = true", function () {
    var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.CheckBox, _extends({}, props, {
      checked: true
    })));

    expect(wrapper).toMatchSnapshot();
  });
});
describe("Radio", function () {
  it("styles", function () {
    var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.Radio, props));

    expect(wrapper).toMatchSnapshot();
  });
  it("disabled = true", function () {
    var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.Radio, _extends({}, props, {
      disabled: true
    })));

    expect(wrapper).toMatchSnapshot();
  });
  it("checked = true", function () {
    var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.Radio, _extends({}, props, {
      checked: true
    })));

    expect(wrapper).toMatchSnapshot();
  });
});
describe("Switch", function () {
  it("styles", function () {
    var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.Switch, props));

    expect(wrapper).toMatchSnapshot();
  });
  it("disabled = true", function () {
    var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.Switch, _extends({}, props, {
      disabled: true
    })));

    expect(wrapper).toMatchSnapshot();
  });
  it("checked = true", function () {
    var wrapper = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_styled.Switch, _extends({}, props, {
      checked: true
    })));

    expect(wrapper).toMatchSnapshot();
  });
});