"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _HtmlFieldData = _interopRequireDefault(require("../components/HtmlFieldData/HtmlFieldData"));

var _AppendToBodyOptionsWrapper = _interopRequireDefault(require("../components/AppendToBodyOptionsWrapper/AppendToBodyOptionsWrapper"));

var _styled = require("../components/Wrapper/styled");

var _styled2 = require("../components/SelectionWrapper/styled");

var _styled3 = require("../components/Item/styled");

var _styled4 = require("../components/ItemList/styled");

var _styled5 = require("../components/Search/styled");

var _styled6 = require("../components/AppendToBodyOptionsWrapper/styled");

var _svg = require("../components/svg/svg");

var _filterOptions = _interopRequireDefault(require("./filterOptions"));

var _massageDataIn = _interopRequireDefault(require("./massageDataIn"));

var _massageDataOut = _interopRequireDefault(require("./massageDataOut"));

var _selectReducer = _interopRequireDefault(require("../reducers/selectReducer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var noop = function noop() {};

var defaultProps = {
  onChange: undefined,
  onBlur: noop,
  onFocus: noop,
  name: undefined,
  selection: [],
  options: [],
  placeholder: "Select...",
  multiple: false,
  disabled: false,
  creatable: false,
  removable: true,
  appendToBody: false,
  rightToLeft: false,
  allowDuplicates: true,
  alwaysReturnArray: false,
  filterOptions: _filterOptions.default,
  massageDataIn: _massageDataIn.default,
  massageDataOut: _massageDataOut.default,
  selectReducer: _selectReducer.default,
  valueKey: function valueKey(object) {
    return object["value"];
  },
  labelKey: function labelKey(object) {
    return object["label"];
  },
  checkRadioMaxCount: 10,
  parseTo: "string",
  text_placeholder: "",
  text_noOptions: "No Options",
  text_create: "Create",
  component_Select: undefined,
  // These undefined ones are defined in Druthers, must be done there or we'd have circular imports
  component_CheckRadio: undefined,
  component_CheckBox: undefined,
  component_Radio: undefined,
  component_Switch: undefined,
  component_HtmlFieldData: _HtmlFieldData.default,
  component_Wrapper: _styled.Wrapper,
  component_Selection: _styled3.Selection,
  component_SelectionList: _styled4.SelectionList,
  component_OptionList: _styled4.OptionList,
  component_Option: _styled3.Option,
  component_Search: _styled5.Search,
  component_SelectionWrapper: _styled2.SelectionWrapper,
  component_OptionsWrapper: _styled.OptionsWrapper,
  component_AppendToBodyOptionsWrapper: _AppendToBodyOptionsWrapper.default,
  component_StyledAppendToBodyOptionsWrapper: _styled6.StyledAppendToBodyOptionsWrapper,
  svg_Checkmark: _svg.Checkmark,
  svg_Remove: _svg.Remove,
  svg_Expand: _svg.Expand,
  styles_fontSize: "1em",
  styles_borderRadius: ".2em",
  styles_paddingTop: ".25em",
  styles_paddingBottom: ".25em",
  styles_paddingLeft: ".25em",
  styles_paddingRight: ".25em",
  styles_selection_paddingTop: ".2em",
  styles_selection_paddingBottom: ".2em",
  styles_selection_paddingLeft: ".4em",
  styles_selection_paddingRight: ".4em",
  styles_selection_margin: ".2em",
  styles_option_paddingTop: ".25em",
  styles_option_paddingBottom: ".25em",
  styles_option_paddingLeft: ".25em",
  styles_option_paddingRight: ".25em",
  styles_checkRadio_borderWidth: "2px",
  styles_checkRadio_marginBetween: "1em",
  styles_checkRadio_labelMargin: ".2em",
  styles_checkRadio_paddingTop: ".2em",
  styles_checkRadio_paddingBottom: ".2em",
  styles_checkRadio_paddingLeft: ".2em",
  styles_checkRadio_paddingRight: ".2em",
  styles_search_size: "8",
  styles_icon_width: "1em",
  styles_colors_primary: "black",
  styles_colors_secondary: "#C3C3C3",
  styles_colors_highlight: "lightblue",
  styles_colors_warning: "#FABAAC",
  styles_colors_warningBold: "#FA2222",
  styles_colors_disabled: "#ECECEC",
  styles_colors_background: "white"
};
var _default = defaultProps;
exports.default = _default;