"use strict";

var _massageDataIn = _interopRequireDefault(require("./massageDataIn"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var props;

var funcValueKey = function funcValueKey(obj) {
  return obj["value"];
};

var funcLabelKey = function funcLabelKey(obj) {
  return obj["label"];
};

beforeEach(function () {
  props = {
    selection: "",
    options: [],
    placeholder: "",
    valueKey: funcValueKey,
    labelKey: funcLabelKey
  };
});
it("empty values, selection should always be an array", function () {
  expect((0, _massageDataIn.default)(props)).toStrictEqual({
    hasOptionGroups: false,
    hasOptions: false,
    hasSelection: false,
    options: [],
    selection: [],
    singleNoOptions: undefined,
    text_placeholder: "",
    valueKey: funcValueKey,
    labelKey: funcLabelKey
  });
});
it("single Selection should always be an array of objects", function () {
  props.selection = "1";
  expect((0, _massageDataIn.default)(props)).toStrictEqual({
    hasOptionGroups: false,
    hasOptions: false,
    hasSelection: true,
    options: [],
    selection: [{
      label: "1",
      value: "1"
    }],
    singleNoOptions: undefined,
    text_placeholder: "",
    valueKey: funcValueKey,
    labelKey: funcLabelKey
  });
});
it("selection should always convert to strings", function () {
  props.selection = [1, 2];
  expect((0, _massageDataIn.default)(props)).toStrictEqual({
    hasOptionGroups: false,
    hasOptions: false,
    hasSelection: true,
    options: [],
    selection: [{
      label: "1",
      value: "1"
    }, {
      label: "2",
      value: "2"
    }],
    singleNoOptions: undefined,
    text_placeholder: "",
    valueKey: funcValueKey,
    labelKey: funcLabelKey
  });
});
it("Options should always be objects of strings", function () {
  props.options = [{
    label: 1,
    value: 1
  }];
  expect((0, _massageDataIn.default)(props)).toStrictEqual({
    hasOptionGroups: false,
    hasOptions: true,
    hasSelection: false,
    options: [{
      label: "1",
      value: "1"
    }],
    selection: [],
    singleNoOptions: false,
    text_placeholder: "",
    valueKey: funcValueKey,
    labelKey: funcLabelKey
  });
});